GNU bug report logs - #42016
26.3; In latex-mode, fill-paragraph changes code to comments

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nate Eldredge <nate@HIDDEN>; dated Tue, 23 Jun 2020 03:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 42016 <at> debbugs.gnu.org:


Received: (at 42016) by debbugs.gnu.org; 23 Jun 2020 16:03:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 23 12:03:20 2020
Received: from localhost ([127.0.0.1]:37013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnlOK-0007Wb-94
	for submit <at> debbugs.gnu.org; Tue, 23 Jun 2020 12:03:20 -0400
Received: from mail1455c50.megamailservers.eu ([91.136.14.55]:53032
 helo=mail266c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>)
 id 1jnlOG-0007WI-VV; Tue, 23 Jun 2020 12:03:19 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1592928190;
 bh=im7yPLjl6JfsXh4zvUWG3D0Fy2kRieYvt/lew1qvqKk=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=rVAg3lLbUpvcq3rTZo/8XHtDrhF/yY97rPmD6z8De2frhVuUg1HeFfYzEHNMNwxLL
 FahpPuWZOrsw8DuQVvtCaTim03GX9RguMxXMkK62Rd7BE6lSQQMPl5lGfivWkVrIjd
 0o+9eNSm1O8e2vXXJT13f6A31jUvGgb1LGVZdLxQ=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail266c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 05NG38qs010414; 
 Tue, 23 Jun 2020 16:03:09 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.14\))
Subject: Re: bug#42016: 26.3; In latex-mode, fill-paragraph changes code to
 comments
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <alpine.DEB.2.22.394.2006231144060.14918@moneta>
Date: Tue, 23 Jun 2020 18:03:07 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <2B3077EF-340B-43BA-8B24-238E878A071A@HIDDEN>
References: <F2482C72-57A6-4743-A722-BA82065D8B04@HIDDEN>
 <alpine.DEB.2.22.394.2006231144060.14918@moneta>
To: Nate Eldredge <nate@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.14)
X-CTCH-RefID: str=0001.0A782F23.5EF2271F.0033, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=A5MSwJeG c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=52zsL59hAAAA:8 a=PWZb0c1ImHJ1HomW8qcA:9 a=CjuIK1q_8ugA:10
 a=W52flcBs477v4pVKOwcv:22
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: reopen 42016 done 23 juni 2020 kl. 17.49 skrev Nate Eldredge
 <nate@HIDDEN>: > Thanks for the pointer. I confirm that the
 patch in bug #38152 fixes the previous test case. However the following
 slightly different test case still has a similar problem: 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 42016
Cc: 42016 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

reopen 42016
done

23 juni 2020 kl. 17.49 skrev Nate Eldredge <nate@HIDDEN>:

> Thanks for the pointer.  I confirm that the patch in bug #38152 fixes =
the previous test case.  However the following slightly different test =
case still has a similar problem:

Oh dear, you are perfectly right. Sorry about my closing the bug =
prematurely!

> Should this bug #42016 be reopened or should I file a new bug?

Let's try reopening this one first.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42016; Package emacs. Full text available.

Message received at 42016 <at> debbugs.gnu.org:


Received: (at 42016) by debbugs.gnu.org; 23 Jun 2020 15:49:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 23 11:49:23 2020
Received: from localhost ([127.0.0.1]:36987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnlAp-0007A3-BY
	for submit <at> debbugs.gnu.org; Tue, 23 Jun 2020 11:49:23 -0400
Received: from mellona.thatsmathematics.com ([23.253.160.201]:60312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nate@HIDDEN>) id 1jnlAk-00079l-A9
 for 42016 <at> debbugs.gnu.org; Tue, 23 Jun 2020 11:49:21 -0400
Received: from moneta.lan (068-118-231-109.res.spectrum.com [68.118.231.109])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mellona.thatsmathematics.com (Postfix) with ESMTPSA id 2141FFC27D;
 Tue, 23 Jun 2020 15:49:12 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=thatsmathematics.com;
 s=condor; t=1592927352;
 bh=UoM5U9PpuAaRF/f8GSgctLUDQFXFokiT1CCCXyGYZ3c=;
 h=Date:From:To:cc:Subject:In-Reply-To:References:From;
 b=4ASR6B6NOk52A/Vgb04TDT1phOUeeVlUuc3pZRV5dt3NJ+2fRfrHEU/xwy8e0zQHz
 ye+dWLw18Nd0ZdSzGOruXhTc/jc+YhuGSK0MvUrOqpM4iQT+iEjJywopUkB8QwHaZQ
 IpyvkLRgLWC3vn9re042gRXHyIjTO2pLXKlRGBZhV59FK01mFSEC8UNPD33HovbxRu
 pSIw9wHm9pqgEXgTtWEPY87fMjHbRWf2+LD6QdMf68bp7xn3M4DhOPlgXoYiqCcnQ5
 +BSSZUzcKXzrUmG4+ZBiUIMEMbB8J2s1BGwP+dRjSJ8m4nxy0bzwjVSNT/S+xayS7x
 qOF/1/3gD//DQ==
Date: Tue, 23 Jun 2020 11:49:09 -0400 (EDT)
From: Nate Eldredge <nate@HIDDEN>
X-X-Sender: nate@moneta
To: =?ISO-8859-15?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>
Subject: Re: bug#42016: 26.3; In latex-mode, fill-paragraph changes code to
 comments
In-Reply-To: <F2482C72-57A6-4743-A722-BA82065D8B04@HIDDEN>
Message-ID: <alpine.DEB.2.22.394.2006231144060.14918@moneta>
References: <F2482C72-57A6-4743-A722-BA82065D8B04@HIDDEN>
User-Agent: Alpine 2.22 (DEB 394 2020-01-19)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="8323329-1123769413-1592927352=:14918"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42016
Cc: 42016 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--8323329-1123769413-1592927352=:14918
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8BIT

On Tue, 23 Jun 2020, Mattias EngdegŚrd wrote:

> Thank you! This bug has been fixed in Emacs 27; see https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38152 .

Thanks for the pointer.  I confirm that the patch in bug #38152 fixes the 
previous test case.  However the following slightly different test case 
still has a similar problem:

---- snip ----
\documentclass{article}
\begin{document}
\begin{environment}
   Some code % a comment
   More code
\end{environment}
\end{document}
---- snip ----

If you position point at the start of the line "  More code" and hit M-q, 
the result is

\begin{environment}
   Some code % a comment More code
\end{environment}

Should this bug #42016 be reopened or should I file a new bug?

-- 
Nate Eldredge
nate@HIDDEN

--8323329-1123769413-1592927352=:14918--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42016; Package emacs. Full text available.
bug closed, send any further explanations to 42016 <at> debbugs.gnu.org and Nate Eldredge <nate@HIDDEN> Request was from Mattias Engdegård <mattiase@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42016 <at> debbugs.gnu.org:


Received: (at 42016) by debbugs.gnu.org; 23 Jun 2020 13:47:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 23 09:47:06 2020
Received: from localhost ([127.0.0.1]:35747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnjGT-0001oY-6h
	for submit <at> debbugs.gnu.org; Tue, 23 Jun 2020 09:47:06 -0400
Received: from mail1452c50.megamailservers.eu ([91.136.14.52]:54086
 helo=mail266c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1jnjGP-0001ny-V2
 for 42016 <at> debbugs.gnu.org; Tue, 23 Jun 2020 09:47:03 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1592920014;
 bh=iWcPiIdC61bTgetR9HtT77RBissQ/0WYxaEjSxIBZ6M=;
 h=From:Subject:Date:Cc:To:From;
 b=ONAAJCrUSJYUbnbaTXYD9HyHlw+4KQdZhcSFJjFBBey7s4bc4K1TgdvBh8W+E+2tX
 6+7DqlEtU4CyvgYlZmQEBVrtGRILdOL+aanNzdaI5ko/Xj+xGhmNS58rsBx3e/SyH7
 aYGe95lbbyWzhaqbnyoKNzzj3yKc95R8LomIcbh8=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail266c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 05NDkqo7006166; 
 Tue, 23 Jun 2020 13:46:53 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.14\))
Subject: bug#42016: 26.3; In latex-mode, fill-paragraph changes code to
 comments 
Message-Id: <F2482C72-57A6-4743-A722-BA82065D8B04@HIDDEN>
Date: Tue, 23 Jun 2020 15:46:51 +0200
To: Nate Eldredge <nate@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.14)
X-CTCH-RefID: str=0001.0A782F1B.5EF20737.0098, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=A5MSwJeG c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=mDV3o1hIAAAA:8 a=X3A6GHFX7pdrLw4yGZoA:9 a=CjuIK1q_8ugA:10
 a=_FVE-zBwftR9WsbkzFJk:22
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Thank you! This bug has been fixed in Emacs 27;
 see https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38152 . 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 42016
Cc: 42016 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Thank you! This bug has been fixed in Emacs 27; see =
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D38152 .





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42016; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2020 03:51:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 22 23:51:52 2020
Received: from localhost ([127.0.0.1]:35200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnZyP-0003mf-DN
	for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 23:51:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:57560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nate@HIDDEN>) id 1jnXgY-0000FV-M6
 for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 21:25:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54622)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <nate@HIDDEN>)
 id 1jnXgY-0007a0-Du
 for bug-gnu-emacs@HIDDEN; Mon, 22 Jun 2020 21:25:14 -0400
Received: from mellona.thatsmathematics.com
 ([2001:4801:7825:103:be76:4eff:fe10:2a2b]:52118)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <nate@HIDDEN>)
 id 1jnXgW-0003R3-1R
 for bug-gnu-emacs@HIDDEN; Mon, 22 Jun 2020 21:25:14 -0400
Received: by mellona.thatsmathematics.com (Postfix, from userid 1001)
 id 14AB3FC27F; Tue, 23 Jun 2020 01:25:09 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=thatsmathematics.com;
 s=condor; t=1592875509;
 bh=X7eQ5JhGhguc0utGrJfjNXLYJvx1b4r1IQaSTeqDGB0=;
 h=From:To:Subject:Date:From;
 b=F3dCPn55iPhUhVPkVxNT8oW/fWRdIZuKlNvoPIbfm6n/lv8/KHAZRMoO95M8ND0Og
 62Ih2dCVwH/x7k1IGfFkrP/HVD5Tkk8j5hqiPoPv4Wd3gblZobclIRpeFGOTANX2KF
 ycNFJBTGJbOVh9e8AYUF7Tk9qcgcZfuJhYY8RSo/oCEkGcvloK6XydX1ML3+B3U3Tm
 g59LaWOsnHL8Rk/ZEziH88kP7awdJYvOb0S9PNe2r+I4TAxdbZzR3lCjylg2v7Ksl5
 s+Yue3MYUz3+IPvjJeRKrB1Cus/jTKSeq2OOr0ddKQ+fWok/hbmbhxCsZvhcxcuBSD
 yPVp4aWjtH9wg==
From: Nate Eldredge <nate@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; In latex-mode, fill-paragraph changes code to comments
Date: Tue, 23 Jun 2020 01:25:09 +0000
Message-ID: <86366mbmkq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2001:4801:7825:103:be76:4eff:fe10:2a2b;
 envelope-from=nate@HIDDEN; helo=mellona.thatsmathematics.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/22 21:25:09
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 22 Jun 2020 23:51:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


In latex-mode, using fill-paragraph (M-q) on a non-comment line
following a comment will sometimes merge the non-comment line into the
comment, thus messing up the code.

To reproduce, try opening the following file (with C-x f):

----- snip -----
%% Demonstrate fill bug with GNU emacs
%% Open this file in latex-mode.  Position point on the "yyy" line and hit M-q.
\documentclass{article}
\begin{document}
\begin{environment}
  %% xxx
  yyy
\end{environment}
\end{document}
----- snip ------

Select latex-mode if necessary, position point on the 'yyy' line, and
hit M-q.  The result is

\begin{environment}
  %% xxx yyy
\end{environment}

so that the "live" code 'yyy' has unintentionally been commented out.
This is bad, as M-q should not change the semantics of the file.


In GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu)
 of 2020-03-26, modified by Debian built on lcy01-amd64-020
System Description:	Ubuntu 20.04 LTS

Recent messages:
Loading /etc/emacs/site-start.d/00debian.el (source)...done
Loading /etc/emacs/site-start.d/50autoconf.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Undo!

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/26.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.3/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --enable-libsystemd
 --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/26.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.3/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --with-x=no
 --without-gsettings 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs-mEZBk7/emacs-26.3+1=. -fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
JPEG SOUND GPM DBUS NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 ZLIB XIM
THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: LaTeX

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils tex-mode compile
tool-bar shell pcomplete comint regexp-opt ansi-color ring latexenc
term/xterm xterm time-date elec-pair mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 105934 5924)
 (symbols 48 20352 1)
 (miscs 40 43 157)
 (strings 32 31264 945)
 (string-bytes 1 849390)
 (vectors 16 13201)
 (vector-slots 8 461982 4418)
 (floats 8 53 511)
 (intervals 56 282 0)
 (buffers 992 12))




Acknowledgement sent to Nate Eldredge <nate@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42016; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 23 Jun 2020 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.